﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.SqlClient;

namespace AnswerForMe.Model
{
    class SqlConnectionWrapper : IAFMConnection
    {
        private SqlConnection innerConnection;

        public SqlConnectionWrapper(string connectString)
        {
            this.innerConnection = new SqlConnection(connectString);
        }

        public void Open()
        {
            this.innerConnection.Open();
        }

        public void Close()
        {
            this.innerConnection.Close();
        }

        public void Dispose()
        {
            this.innerConnection.Dispose();
        }

        internal SqlConnection InnerConnection
        {
            get { return innerConnection; }
        }
    }
}
