﻿using System;
using System.Windows.Forms;

namespace AnswerForMe.Presentation
{
    public partial class ConnectForm : Form, IBuildConnectionView
    {
        public ConnectForm()
        {
            InitializeComponent();
        }

        String IBuildConnectionView.BaseAddress {
            get {return txtBaseAddress.Text;}
        }
        String IBuildConnectionView.PointCode
        {
            get {return txtPointCode.Text;}
        }
        String IBuildConnectionView.EmployeeCode
        { 
            get {return txtEmployeeCode.Text;}
        }
        String IBuildConnectionView.EmployeePassword
        { 
            get {return txtEmployeePassword.Text;}
        }
        bool IBuildConnectionView.IsConfirmed
        {
            get { return this.DialogResult == DialogResult.OK; }
        }
        void IBuildConnectionView.AcceptInput()
        {
            this.ShowDialog();
        }
        private void btnOk_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Hide();
        }
        private void btnCancel_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Hide();
        }

    }
}
