﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AnswerForMe.Presentation
{
    class WCFDbNodeType
    {
        string SqlType; // U, S, V, P, FN
        string RenderType; //用户表, 系统表, 视图, 存储过程, 函数

        private WCFDbNodeType() {}

        static WCFDbNodeType UserTableType = new WCFDbNodeType() { SqlType = "U", RenderType = "用户表" };
        static WCFDbNodeType SystemTableType = new WCFDbNodeType() { SqlType = "S", RenderType = "系统表"};
        static WCFDbNodeType ViewType = new WCFDbNodeType() { SqlType = "V", RenderType = "视图" };
        static WCFDbNodeType StoredProcType = new WCFDbNodeType() { SqlType = "P", RenderType = "存储过程" };
        static WCFDbNodeType FunctionType = new WCFDbNodeType() { SqlType = "FN", RenderType = "函数" };
        static WCFDbNodeType[] RootDbNodeTypes = new WCFDbNodeType[]
            {WCFDbNodeType.UserTableType, 
            WCFDbNodeType.SystemTableType, 
            WCFDbNodeType.ViewType, 
            WCFDbNodeType.StoredProcType,
            WCFDbNodeType.FunctionType};
    }
    class WCFDbNode
    {
               
    }
    interface IBrowser
    {
        
    }
}